Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 240873002: ES6: Add support for Array.prototype.fill() (Closed)

Created:
5 years, 3 months ago by aperez
Modified:
5 years, 2 months ago
CC:
v8-dev
Visibility:
Public.

Description

ES6: Add support for Array.prototype.fill() BUG=v8:3273 LOG=Y R=dslomov@chromium.org Committed: https://code.google.com/p/v8/source/detail?r=21074

Patch Set 1 #

Total comments: 1

Patch Set 2 : Added additional test cases as suggested #

Unified diffs Side-by-side diffs Delta from patch set Stats (+77 lines, -1 line) Patch
M src/harmony-array.js View 1 2 chunks +45 lines, -1 line 0 comments Download
A test/mjsunit/harmony/array-fill.js View 1 1 chunk +32 lines, -0 lines 0 comments Download

Messages

Total messages: 8 (0 generated)
rossberg
Added Dmitry as reviewer
5 years, 2 months ago (2014-04-23 11:44:18 UTC) #1
Dmitry Lomov (no reviews)
looking good, just needs some more tests https://codereview.chromium.org/240873002/diff/1/test/mjsunit/harmony/array-fill.js File test/mjsunit/harmony/array-fill.js (right): https://codereview.chromium.org/240873002/diff/1/test/mjsunit/harmony/array-fill.js#newcode10 test/mjsunit/harmony/array-fill.js:10: assertArrayEquals([0, 0, ...
5 years, 2 months ago (2014-04-28 11:18:25 UTC) #2
aperez
On 2014/04/28 11:18:25, Dmitry Lomov (chromium) wrote: > looking good, just needs some more tests ...
5 years, 2 months ago (2014-04-29 08:38:44 UTC) #3
Dmitry Lomov (no reviews)
lgtm, I'll land shortly (CLA has been signed by Igalia)
5 years, 2 months ago (2014-04-29 08:58:51 UTC) #4
aperez
On 2014/04/29 08:58:51, Dmitry Lomov (chromium) wrote: > lgtm, I'll land shortly (CLA has been ...
5 years, 2 months ago (2014-04-29 09:21:40 UTC) #5
Dmitry Lomov (no reviews)
Committed patchset #2 manually as r21074 (presubmit successful).
5 years, 2 months ago (2014-04-30 08:28:39 UTC) #6
ziyunfei
On 2014/04/30 08:28:39, Dmitry Lomov (chromium) wrote: > Committed patchset #2 manually as r21074 (presubmit ...
5 years, 2 months ago (2014-05-01 02:16:04 UTC) #7
aperez
5 years, 2 months ago (2014-05-09 13:45:11 UTC) #8
Message was sent while issue was closed.
On 2014/05/01 02:16:04, L446240525 wrote:
> On 2014/04/30 08:28:39, Dmitry Lomov (chromium) wrote:
> > Committed patchset #2 manually as r21074 (presubmit successful).
> 
> In test/mjsunit/harmony/array-fill.js#7
> 
> assertEquals(1, Array.prototype.find.length);
> 
> should be
> 
> assertEquals(1, Array.prototype.fill.length);

Certainly, I have filed another CL to fix this and another small typo:
https://codereview.chromium.org/277953002

Powered by Google App Engine
This is Rietveld 408576698